jQuery(function ($) {
    if (typeof cetepay_cuotas_data === 'undefined') return;

    $('.entry-content').append('<div id="cetelem_cuotas_calculadora" style="display: none;"></div>');

    $(document).on("change", "#radio-control-wc-payment-method-options-cetelem_cuotas", function () {
        if ($(this).is(':checked')) {
            $.ajax({
                type: "POST",
                url: cetepay_cuotas_data.ajax_url,
                data: {
                    action: "cetelem_cuotas_calculadora_bloque",
                    total: cetepay_cuotas_data.total
                },
                success: function (response) {
                    $('#eCalculadoraCetelemDiv').html('');
                    $('#cetelem_cuotas_calculadora').html(response);
                }
            });
        }
    });
});

